DEVICE_GET_NAME(9)

NAME
device_get_name, device_get_nameunit - access the name of a device's device class or instance

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
const char *
device_get_name(device_t dev);
const char *
device_get_nameunit(device_t dev);

DESCRIPTION
The device_get_name() function returns the name of the device's device class.

The device_get_nameunit() function returns the name of the device's instance.

SEE ALSO
device(9)

AUTHORS
This manual page was written by Warner Losh.